--original author [Bayn]
--no more gloss by RivalBomb
EventListener = {};

function EventListener:loadMap(name)
    local env = g_currentMission.environment;

    env.ambientCurve = AnimCurve:new(linearInterpolator3);
    env.ambientCurve:addKeyframe({x=0.008, y=0.008, z=0.008, time = 0*60});
    env.ambientCurve:addKeyframe({x=0.008, y=0.008, z=0.008, time = 1*60});
    env.ambientCurve:addKeyframe({x=0.008, y=0.008, z=0.008, time = 2*60});
    env.ambientCurve:addKeyframe({x=0.008, y=0.008, z=0.008, time = 3.6*60});
    env.ambientCurve:addKeyframe({x=0.008, y=0.008, z=0.008, time = 4*60});
	env.ambientCurve:addKeyframe({x=0.008, y=0.008, z=0.008, time = 4.30*60});
	env.ambientCurve:addKeyframe({x=0.008, y=0.008, z=0.008, time = 5*60});
	env.ambientCurve:addKeyframe({x=0.05, y=0.05, z=0.05, time = 6*60});
    env.ambientCurve:addKeyframe({x=0.1, y=0.1,  z=0.1,  time = 7*60});
	env.ambientCurve:addKeyframe({x=0.12, y=0.12,  z=0.12,  time = 8*60});
	env.ambientCurve:addKeyframe({x=0.16, y=0.16,  z=0.16,  time = 9*60});
    env.ambientCurve:addKeyframe({x=0.21,  y=0.21,  z=0.21,  time = 10*60});
    env.ambientCurve:addKeyframe({x=0.22,  y=0.22,  z=0.22,  time = 12*60});
    env.ambientCurve:addKeyframe({x=0.21,  y=0.21,  z=0.21,  time = 14*60});
    env.ambientCurve:addKeyframe({x=0.16,  y=0.16,  z=0.16,  time = 15*60});
    env.ambientCurve:addKeyframe({x=0.15,  y=0.15,  z=0.15,  time = 18*60});
    env.ambientCurve:addKeyframe({x=0.12,  y=0.12,  z=0.12,  time = 19*60});
    env.ambientCurve:addKeyframe({x=0.08,  y=0.08,  z=0.08,  time = 20*60});
	env.ambientCurve:addKeyframe({x=0.05,  y=0.05,  z=0.05,  time = 20.3*60});
	env.ambientCurve:addKeyframe({x=0.02,  y=0.02,  z=0.02,  time = 21*60});
	env.ambientCurve:addKeyframe({x=0.008,  y=0.008,  z=0.008,  time = 22*60});
	env.ambientCurve:addKeyframe({x=0.008,  y=0.008,  z=0.008,  time = 23*60});
	

    env.specularCurve = AnimCurve:new(linearInterpolator3);
	env.specularCurve:addKeyframe({x=0, y=0, z=0, time = 0*60}); 	--no more Gloss !
	env.specularCurve:addKeyframe({x=0, y=0, z=0, time = 12*60}); 	--no more Gloss !
	env.specularCurve:addKeyframe({x=0, y=0, z=0, time = 23*60});	--no more Gloss !
				
    env.diffuseCurve = AnimCurve:new(linearInterpolator3);
    env.diffuseCurve:addKeyframe({x=0,	 	y=0,	z=0, 	time = 0*60});
    env.diffuseCurve:addKeyframe({x=0,	 	y=0,	z=0, 	time = 1*60});
    env.diffuseCurve:addKeyframe({x=0,	 	y=0,	z=0, 	time = 2*60});
    env.diffuseCurve:addKeyframe({x=0,	 	y=0,	z=0, 	time = 3*60});
	env.diffuseCurve:addKeyframe({x=0,	 	y=0, 	z=0, 	time = 4*60});
	env.diffuseCurve:addKeyframe({x=0.01,	y=0.01,	z=0.01, time = 5*60});
	env.diffuseCurve:addKeyframe({x=0.2,   	y=0.2, 	z=0.2, 	time = 6*60});
	env.diffuseCurve:addKeyframe({x=0.33,   y=0.33, z=0.33, time = 7*60});
	env.diffuseCurve:addKeyframe({x=0.33,   y=0.33, z=0.33, time = 8*60});
	env.diffuseCurve:addKeyframe({x=0.33,   y=0.33, z=0.33, time = 9*60});
	env.diffuseCurve:addKeyframe({x=0.33,   y=0.33,	z=0.33, time = 10*60});
	env.diffuseCurve:addKeyframe({x=0.33,   y=0.33, z=0.33, time = 11*60});
	env.diffuseCurve:addKeyframe({x=0.33,  	y=0.33,	z=0.33, time = 12*60});
	env.diffuseCurve:addKeyframe({x=0.33,   y=0.33, z=0.33, time = 13*60});
	env.diffuseCurve:addKeyframe({x=0.33,   y=0.33, z=0.33, time = 14*60});
	env.diffuseCurve:addKeyframe({x=0.33,   y=0.33, z=0.33, time = 15*60});
	env.diffuseCurve:addKeyframe({x=0.33,   y=0.33,	z=0.33, time = 16*60});
	env.diffuseCurve:addKeyframe({x=0.33,   y=0.33,	z=0.33, time = 17*60});
	env.diffuseCurve:addKeyframe({x=0.3,   	y=0.3,	z=0.3, 	time = 18*60});
	env.diffuseCurve:addKeyframe({x=0.25,   y=0.25, z=0.25, time = 19*60});
	env.diffuseCurve:addKeyframe({x=0.2,   	y=0.2,	z=0.2, 	time = 20*60});
	env.diffuseCurve:addKeyframe({x=0.1,	y=0.1,	z=0.1, time = 21*60});
	env.diffuseCurve:addKeyframe({x=0,		y=0,	z=0, 	time = 22*60});
	env.diffuseCurve:addKeyframe({x=0,		y=0,	z=0, 	time = 23*60});
	
	
end;

function EventListener:deleteMap()
end;

function EventListener:mouseEvent(posX, posY, isDown, isUp, button)
end;

function EventListener:keyEvent(unicode, sym, modifier, isDown)
end;

function EventListener:update(dt)
end;

function EventListener:draw()
end;

addModEventListener(EventListener);